<?php
require($_SERVER['DOCUMENT_ROOT'].'/espace/inc/head-lib.php');

//echo "<pre>";print_r($_POST);echo "</pre>";

// MOT DE PASSE ENREGISTRÉ
$sql	= dbquery("SELECT * FROM auditeurs WHERE id = '".$_SESSION['user']['id']."' "); 
$pass	= dbresult_utf8($sql,0,"password");

// VERIFICATION CORRESPONDANCES MOTS DE PASSE
if( $_POST['new_pass'] <> $_POST['new_pass_confirm'] || $_POST['current_pass'] <> $pass ){
	Header("Location: index.php?error=".urlencode("Il y a une erreur de saisie. Veuillez réessayer.")."#4");
	exit();
}
// VERIFICATION NOMBRE CARACTERES (min 8)
elseif( strlen($_POST['new_pass'])<8 || strlen($_POST['new_pass_confirm'])<8 ){
	Header("Location: index.php?error=".urlencode("Votre mot de passe doit contenir au moins 8 caractères")."#4");
	exit();
}
// VERIFICATION CARACTERES ALPHANUMERIQUE
elseif( !ctype_alnum($_POST['new_pass'])){
	Header("Location: index.php?error=".urlencode("Votre mot de passe ne doit contenir que des caractères alphanumériques")."#4");
	exit();
}
// UPDATE
else{
	dbquery("
		UPDATE auditeurs 
		SET password = '".addslashes(utf8_decode($_POST['new_pass']))."'
		WHERE id = '".$_SESSION['user']['id']."'  
	");

	Header("Location: index.php?msg=".urlencode("Votre mot de passe a été changé avec succès")."#4");
}
?>